{
  "AbilityMixins": [
    {
      "$type": "ActionsOnPropertyChangeMixin",
      "PropertyActions": [
        {
          "IsUsePercentage": true,
          "PropertyType": "CurHP",
          "RefPropertyType": "MaxHP",
          "ValueRangeActions": [
            {
              "HighToValueActions": [
                {
                  "$type": "RemoveModifier",
                  "ModifierName": "EasterEggSkill_Timer_Modifier",
                  "Target": "Self"
                }
              ],
              "Val": 0.6
            }
          ]
        }
      ]
    }
  ],
  "AbilityName": "Harvester_EasterEggSkill_Manager",
  "AbilitySpecials": {
    "AS_EasterEggSkill_AvailableCharges": {
      "Value": 0,
      "ValueType": "Integer"
    },
    "AS_EasterEggSkill_CD": {
      "Value": 40,
      "ValueType": "Float"
    },
    "AS_EasterEggSkill_ChargeLimit": {
      "Value": 2,
      "ValueType": "Integer"
    }
  },
  "AbilityStacking": "Unique",
  "DefaultModifier": {
    "OnAdded": [
      {
        "$type": "ApplyModifier",
        "ModifierName": "EasterEggSkill_Timer_Modifier",
        "Target": "Self"
      },
      {
        "$type": "WriteAIParamAction",
        "BoolParamValue": false,
        "ModifyFunction": "Replace",
        "ParamName": "Bool_EasterEggSkill_Ready",
        "Target": "Self"
      }
    ]
  },
  "Modifiers": {
    "EasterEggSkill_Timer_Modifier": {
      "Duration": "%AS_EasterEggSkillCD",
      "ModifierStacking": "Unique",
      "OnAdded": [
        {
          "$type": "WriteAIParamAction",
          "BoolParamValue": false,
          "ParamName": "Bool_EasterEggSkill_Ready",
          "Target": "Self"
        }
      ],
      "OnRemoved": [
        {
          "$type": "WriteAIParamAction",
          "BoolParamValue": true,
          "ParamName": "Bool_EasterEggSkill_Ready",
          "Target": "Self"
        },
        {
          "$type": "SetAbilitySpecialAction",
          "ModifyFunction": "Replace",
          "Param": "%AS_EasterEggSkill_ChargeLimit",
          "ParamName": "AS_EasterEggSkill_AvailableCharges",
          "ParamType": "Integer",
          "Target": "Self"
        }
      ]
    }
  },
  "OnAbilityTrigger": [
    {
      "$type": "SetAbilitySpecialAction",
      "ModifyFunction": "Add",
      "Param": -1,
      "ParamName": "AS_EasterEggSkill_AvailableCharges",
      "ParamType": "Integer",
      "Target": "Self"
    },
    {
      "$type": "ApplyModifier",
      "ModifierName": "EasterEggSkill_Timer_Modifier",
      "Predicates": [
        {
          "$type": "ByAbilitySpecial",
          "CompareType": "LessEqual",
          "Param": 0,
          "ParamName": "AS_EasterEggSkill_AvailableCharges",
          "ParamType": "Integer",
          "Target": "Self"
        }
      ],
      "Target": "Self"
    }
  ]
}